Not setting ssl_ca, ssl_cert or ssl_key doesn't turn off the authentication in ENC
Status: Closed   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version: 1.3.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This patch should be enough to understand the issue

 if SETTINGS[:ssl_ca] && !SETTINGS[:ssl_ca].empty?

       http.ca_file = SETTINGS[:ssl_ca]

       http.verify_mode = OpenSSL::SSL::VERIFY_PEER

     else

       http.verify_mode = OpenSSL::SSL::VERIFY_NONE

     end

-    if SETTINGS[:ssl_cert] and SETTINGS[:ssl_key]

+    if SETTINGS[:ssl_cert] && !SETTINGS[:ssl_cert].empty? && SETTINGS[:ssl_key] && !SETTINGS[:ssl

_key].empty?

       http.cert = OpenSSL::X509::Certificate.new(File.read(SETTINGS[:ssl_cert]))

       http.key  = OpenSSL::PKey::RSA.new(File.read(SETTINGS[:ssl_key]), nil)

     end

Associated revisions

Revision a3512676 - 09/13/2013 12:34 PM - Ivan Necas

Fixes #3081 - proper handling of disabling ssl verification

Empty ssl_ca, ssl_cert and ssl_key mean not to use ssl verification/authentication

History

#1 - 09/13/2013 12:36 PM - Ivan Necas

PR opened: https://github.com/theforeman/puppet-foreman/pull/112

#2 - 09/16/2013 09:12 AM - Dominic Cleal

- Status changed from New to Closed

- Target version set to 1.3.0

- % Done changed from 0 to 100
